GNU bug report logs - #47428
Problems building the up-to-date "devel" manual for the website

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Leo Famulari <leo@HIDDEN>; dated Fri, 26 Mar 2021 22:37:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 47428-done <at> debbugs.gnu.org:


Received: (at 47428-done) by debbugs.gnu.org; 21 Apr 2021 15:56:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 21 11:56:51 2021
Received: from localhost ([127.0.0.1]:59553 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZFDf-0005MS-3X
	for submit <at> debbugs.gnu.org; Wed, 21 Apr 2021 11:56:51 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:38741)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1lZFDa-0005MC-4T
 for 47428-done <at> debbugs.gnu.org; Wed, 21 Apr 2021 11:56:49 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id E919A5C00E5;
 Wed, 21 Apr 2021 11:56:40 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute3.internal (MEProxy); Wed, 21 Apr 2021 11:56:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=LglL3oHqvYbhUfAdbJU2WAA+
 IKS1BGqWXUXcIFSBF3I=; b=FISjWKZa2t+y0+VpSc/3Y9gXIBTKf0iXQC7BuqaN
 5ubfBfrxeyNrusl6X/65Uua8cqOmDmubCFGIuVmEzUBw0zuOtX5r0SIrrQ6whEWo
 JFnLMWonyEV1twtaI/gRp8tilSP978zhwSrFgAxuODS67FVliuJYD+a4Cru+SZ7+
 aQA=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=LglL3o
 HqvYbhUfAdbJU2WAA+IKS1BGqWXUXcIFSBF3I=; b=O8uQLC/mfNrp/0fVnuN2+y
 c0S/aco6Uv3g3TQMQKpYvptd/r+SvqCyZmvTKFZfWDkiltQEIuhoy2KlrkD4g7Al
 fFToh7OyCrkhG8WvtU/ZluIOAO0XMpairJQqLlDfCXd7TDcvTUaVNTNYmI+BnhxS
 5JT98r7PjwKLVKaY1oJG/Mo5JhFfxUEc5DIbObuHYPlyn7K6Thf17ZH5KiSTWNDv
 pjaIDWyZCauJlImg5hZSgZFJPi8ZyY2oeIgXy73i/Y7uUzUznCcWhZrzv5IXLDWj
 XUUF6ECXXk8sbOFIAMrRk254MLYvtXDIYYwz2ZPYUz7sCuoj4mn6G+BKMyvN3/ig
 ==
X-ME-Sender: <xms:OEuAYLG4OCWPgwFZTunkbFTBxxxaMIwdgzixUaV9hsSsNdZeyLfM2w>
 <xme:OEuAYIXFN9iD6VLWGZOfrNKfeyGLahBJvxZLQcvCiWi0FaAWqzpGnE7Nv4Wnvcb7o
 b_O3CD6HhzZl8HF4w>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrvddtkedgleeiucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhepfffhvffukfhfgggtuggjsehttdertddttddvnecuhfhrohhmpefnvghoucfh
 rghmuhhlrghrihcuoehlvghosehfrghmuhhlrghrihdrnhgrmhgvqeenucggtffrrghtth
 gvrhhnpeeukeektdffvddtudegjeegtdevhfeufeeivdejiedtieegtdevjedvjeehffev
 gfenucfkphepuddttddruddurdduieelrdduudeknecuvehluhhsthgvrhfuihiivgeptd
 enucfrrghrrghmpehmrghilhhfrhhomheplhgvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:OEuAYNLvMI9rajfxmRBYNm5ltN8AgH4KsNtV1LFm-3mdzOn0zHVNwQ>
 <xmx:OEuAYJE0yGXo3Q6o3zHTuFSGVE1DgYI_J2aVjHUc1AF79CQvRE6Qcw>
 <xmx:OEuAYBVsaKXWPtKo4GdFC0OzX_NaG1o1AF45GyrE4T8HtkV0zKm8EQ>
 <xmx:OEuAYABE2xm7S0pLTt_shPk1RIZHnjW3rMJ_pofs-qIzRhRi1XRuwA>
Received: from localhost (pool-100-11-169-118.phlapa.fios.verizon.net
 [100.11.169.118])
 by mail.messagingengine.com (Postfix) with ESMTPA id 5F532240054;
 Wed, 21 Apr 2021 11:56:40 -0400 (EDT)
Date: Wed, 21 Apr 2021 11:56:38 -0400
From: Leo Famulari <leo@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>
Subject: Re: bug#47428: Problems building the up-to-date "devel" manual for
 the website
Message-ID: <YIBLNgkTJyKc+J6i@HIDDEN>
References: <YF5h5v2CkGTl1Xr5@HIDDEN> <YGY5ahTUzrIOEIGC@HIDDEN>
 <87zgyhgmcc.fsf@HIDDEN> <87v995gjqe.fsf@HIDDEN>
 <87o8exghyo.fsf@HIDDEN> <87k0plghdm.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <87k0plghdm.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47428-done
Cc: 47428-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, Apr 02, 2021 at 11:33:57AM +0200, Mathieu Othacehe wrote:
> 
> > ). Please consider running po4a-updatepo to refresh it.
> > Your input po file ./guix-manual.de.po seems outdated (The amount of entries differ between files: 10012 is not 325
> > ). Please consider running po4a-updatepo to refresh it.
> > mmap(PROT_NONE) failed
> > builder for `/gnu/store/86gnwxxw7lfkifaal6fhflmkn3fczyhf-guix-translated-texinfo.drv' failed due to signal 11 (Segmentation fault)
> 
> I worked around it by building this derivation on one core. Looks like
> the cookbook, website, manual and devel manual are now building fine.

The problem happened again.

How can we make sure this derivation is always single-threaded?




Notification sent to Leo Famulari <leo@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Leo Famulari <leo@HIDDEN>:
You have taken responsibility. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 47428-done <at> debbugs.gnu.org:


Received: (at 47428-done) by debbugs.gnu.org; 2 Apr 2021 21:08:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 02 17:08:44 2021
Received: from localhost ([127.0.0.1]:32966 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lSR24-00044E-Al
	for submit <at> debbugs.gnu.org; Fri, 02 Apr 2021 17:08:44 -0400
Received: from wout5-smtp.messagingengine.com ([64.147.123.21]:60577)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1lSR22-000440-2w
 for 47428-done <at> debbugs.gnu.org; Fri, 02 Apr 2021 17:08:42 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.west.internal (Postfix) with ESMTP id 4A48F1636;
 Fri,  2 Apr 2021 17:08:36 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute3.internal (MEProxy); Fri, 02 Apr 2021 17:08:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=f1qPBUEGXaYXE5qLWsUwNMw8
 Myyeq/r6dL7YZfPCuRk=; b=Mm0zAdKxbaHf246VquXhpu+8Q0lGV3mWS5jX73sK
 EUVcJjf7miwpq7b7Wl6tRPNX8XyaA49fVgGbsKU2t6zvvn/gvDlxFbz/HybrMoy9
 Hd7Vl7V9TTH7/TezWPYR4akdKVdPxga3ChKYfRt8qN8BAqZL2JAHfJqHUqAwHXW4
 Ffw=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=f1qPBU
 EGXaYXE5qLWsUwNMw8Myyeq/r6dL7YZfPCuRk=; b=eaVvv4goGZ9MHL2nh2Vg6L
 xNgHw73A6DRyQG6CEtajMZv71/xC6ylh5idSrqFytuRf0pjdeUWFETsTWu5QHtvR
 gB7USgNkW4rXsMb/olHfiqyG6lthImZHUCADWRKGKSHFwAgZa9kClFH7aaEUBm8M
 6gs1FvNEK5xT+8IRRSUGmSgWd87CAf6m2GAhpOebhLsKT8+8Drk9gWb0cL6LsY+h
 I/TFqlsr2m2dAa3WUlsr8wSdxVsFNxRzudtVYEFr3cw8tcv7OabX6jOSDlfUkk7h
 OURl+YLODVWpaj2yZyqw8NfBh/Jk6OGhnuIbUjPA+s4nDsVuV8UZTJ74CvXYoOeQ
 ==
X-ME-Sender: <xms:04dnYNaDF0g9VIkeXqXzC3f3DY60S7F380wyC4TMvdaUX8cakaZzwg>
 <xme:04dnYEaCszehBDOA7tt7XvQGr0-M--i7SVYHf_dzsK7sb5G-NF5T3g_CgI5mzOcS0
 j6DUTsaa5qw3uvmhw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudeiiedgudehhecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpeffhffvuffkfhggtggujgesthdtredttddtvdenucfhrhhomhepnfgvohcu
 hfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgrrhhirdhnrghmvgeqnecuggftrfgrth
 htvghrnhepueekkedtffdvtddugeejgedtvefhueefiedvjeeitdeigedtveejvdejheff
 vefgnecukfhppeeiledruddvtddrledvrddvtdeknecuvehluhhsthgvrhfuihiivgeptd
 enucfrrghrrghmpehmrghilhhfrhhomheplhgvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:04dnYP-zYcIH8b1PBPMGll9D2VZuj_A5H5-UW7CMydKdiR1mOImlKg>
 <xmx:04dnYLopSOGdLbApC0dBnr_vNvTPzpOPeUtyas3oWSBiZmUWr-VtLw>
 <xmx:04dnYIqk8sD5pJmEag7A20G0M6GHwNKZaBcsb5pgEw9tlvOoHG1ddg>
 <xmx:04dnYOF372lRd5GoidFShbd49LX9EBd4kpTB5NGfJ_dhPZmmYaD3sg>
Received: from localhost (ool-45785cd0.dyn.optonline.net [69.120.92.208])
 by mail.messagingengine.com (Postfix) with ESMTPA id 3AC671080057;
 Fri,  2 Apr 2021 17:08:35 -0400 (EDT)
Date: Fri, 2 Apr 2021 17:08:33 -0400
From: Leo Famulari <leo@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>
Subject: Re: bug#47428: Problems building the up-to-date "devel" manual for
 the website
Message-ID: <YGeH0bKD0FyGc+C3@HIDDEN>
References: <YF5h5v2CkGTl1Xr5@HIDDEN> <YGY5ahTUzrIOEIGC@HIDDEN>
 <87zgyhgmcc.fsf@HIDDEN> <87v995gjqe.fsf@HIDDEN>
 <87o8exghyo.fsf@HIDDEN> <87k0plghdm.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <87k0plghdm.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47428-done
Cc: 47428-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, Apr 02, 2021 at 11:33:57AM +0200, Mathieu Othacehe wrote:
> 
> > ). Please consider running po4a-updatepo to refresh it.
> > Your input po file ./guix-manual.de.po seems outdated (The amount of entries differ between files: 10012 is not 325
> > ). Please consider running po4a-updatepo to refresh it.
> > mmap(PROT_NONE) failed
> > builder for `/gnu/store/86gnwxxw7lfkifaal6fhflmkn3fczyhf-guix-translated-texinfo.drv' failed due to signal 11 (Segmentation fault)
> 
> I worked around it by building this derivation on one core. Looks like
> the cookbook, website, manual and devel manual are now building fine.
> 
> Closing this one,

Awesome, thanks for your work!




Information forwarded to bug-guix@HIDDEN:
bug#47428; Package guix. Full text available.

Message received at 47428 <at> debbugs.gnu.org:


Received: (at 47428) by debbugs.gnu.org; 2 Apr 2021 19:01:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 02 15:01:27 2021
Received: from localhost ([127.0.0.1]:32857 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lSP2s-0000qZ-Mg
	for submit <at> debbugs.gnu.org; Fri, 02 Apr 2021 15:01:26 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44068)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1lSP2r-0000qL-25
 for 47428 <at> debbugs.gnu.org; Fri, 02 Apr 2021 15:01:25 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37646)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1lSP2h-0007zi-Er; Fri, 02 Apr 2021 15:01:19 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=34838 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1lSP2Q-0001fD-NP; Fri, 02 Apr 2021 15:01:02 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>
Subject: Re: bug#47428: Problems building the up-to-date "devel" manual for
 the website
References: <YF5h5v2CkGTl1Xr5@HIDDEN> <YGY5ahTUzrIOEIGC@HIDDEN>
 <87zgyhgmcc.fsf@HIDDEN> <87v995gjqe.fsf@HIDDEN>
 <87o8exghyo.fsf@HIDDEN>
Date: Fri, 02 Apr 2021 21:00:56 +0200
In-Reply-To: <87o8exghyo.fsf@HIDDEN> (Mathieu Othacehe's message of "Fri, 02
 Apr 2021 11:21:19 +0200")
Message-ID: <87h7kozf2v.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47428
Cc: 47428 <at> debbugs.gnu.org, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi Mathieu,

Thanks for fixing this!

Mathieu Othacehe <othacehe@HIDDEN> skribis:

> There's another error though:
>
> ). Please consider running po4a-updatepo to refresh it.
> Your input po file ./guix-manual.de.po seems outdated (The amount of entr=
ies differ between files: 10012 is not 325
> ). Please consider running po4a-updatepo to refresh it.
> mmap(PROT_NONE) failed
> builder for `/gnu/store/86gnwxxw7lfkifaal6fhflmkn3fczyhf-guix-translated-=
texinfo.drv' failed due to signal 11 (Segmentation fault)

I worked around it in 98750a9d9967b84a077735a2e4e6d5526256a5fd by
limiting the number of threads, but that seems to be insufficient.

At any rate, all the manuals are now up-to-date on berlin, meaning that
this particular bug wasn=E2=80=99t hit there.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#47428; Package guix. Full text available.

Message received at 47428-done <at> debbugs.gnu.org:


Received: (at 47428-done) by debbugs.gnu.org; 2 Apr 2021 09:34:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 02 05:34:09 2021
Received: from localhost ([127.0.0.1]:59189 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lSGBt-0000zV-0N
	for submit <at> debbugs.gnu.org; Fri, 02 Apr 2021 05:34:09 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33448)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1lSGBr-0000zI-Ew
 for 47428-done <at> debbugs.gnu.org; Fri, 02 Apr 2021 05:34:07 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47944)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1lSGBm-0001YZ-1m; Fri, 02 Apr 2021 05:34:02 -0400
Received: from [2a01:e0a:19b:d9a0:1a7a:d05e:2600:6047] (port=51878 helo=meije)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <othacehe@HIDDEN>)
 id 1lSGBk-0001tb-6O; Fri, 02 Apr 2021 05:34:01 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Subject: Re: bug#47428: Problems building the up-to-date "devel" manual for
 the website
References: <YF5h5v2CkGTl1Xr5@HIDDEN> <YGY5ahTUzrIOEIGC@HIDDEN>
 <87zgyhgmcc.fsf@HIDDEN> <87v995gjqe.fsf@HIDDEN>
 <87o8exghyo.fsf@HIDDEN>
Date: Fri, 02 Apr 2021 11:33:57 +0200
In-Reply-To: <87o8exghyo.fsf@HIDDEN> (Mathieu Othacehe's message of "Fri, 02
 Apr 2021 11:21:19 +0200")
Message-ID: <87k0plghdm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47428-done
Cc: 47428-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


> ). Please consider running po4a-updatepo to refresh it.
> Your input po file ./guix-manual.de.po seems outdated (The amount of entries differ between files: 10012 is not 325
> ). Please consider running po4a-updatepo to refresh it.
> mmap(PROT_NONE) failed
> builder for `/gnu/store/86gnwxxw7lfkifaal6fhflmkn3fczyhf-guix-translated-texinfo.drv' failed due to signal 11 (Segmentation fault)

I worked around it by building this derivation on one core. Looks like
the cookbook, website, manual and devel manual are now building fine.

Closing this one,

Thanks,

Mathieu




Notification sent to Leo Famulari <leo@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Mathieu Othacehe <othacehe@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 47428 <at> debbugs.gnu.org:


Received: (at 47428) by debbugs.gnu.org; 2 Apr 2021 09:21:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 02 05:21:28 2021
Received: from localhost ([127.0.0.1]:59182 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lSFzb-0000fy-P8
	for submit <at> debbugs.gnu.org; Fri, 02 Apr 2021 05:21:27 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58876)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1lSFza-0000fm-OC
 for 47428 <at> debbugs.gnu.org; Fri, 02 Apr 2021 05:21:27 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47097)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1lSFzV-0002DV-FR; Fri, 02 Apr 2021 05:21:21 -0400
Received: from [2a01:e0a:19b:d9a0:1a7a:d05e:2600:6047] (port=51818 helo=meije)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <othacehe@HIDDEN>)
 id 1lSFzU-0006oE-Vo; Fri, 02 Apr 2021 05:21:21 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Subject: Re: bug#47428: Problems building the up-to-date "devel" manual for
 the website
References: <YF5h5v2CkGTl1Xr5@HIDDEN> <YGY5ahTUzrIOEIGC@HIDDEN>
 <87zgyhgmcc.fsf@HIDDEN> <87v995gjqe.fsf@HIDDEN>
Date: Fri, 02 Apr 2021 11:21:19 +0200
In-Reply-To: <87v995gjqe.fsf@HIDDEN> (Mathieu Othacehe's message of "Fri, 02
 Apr 2021 10:43:05 +0200")
Message-ID: <87o8exghyo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47428
Cc: 47428 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


> This causes the build failure. However, we do not have this makeinfo
> error on the master guile-lib. That's because the docs are not compiled
> for a reason I don't understand.

Ok so I finally understand sorry for the spamming. Guile-lib contains
a pre-compiled docs/guile-library.info. This means that the "doc" target
is not run.

However, when the 1.2.0 guile-lib/htmlprag-fixed inherits from the
recent guile-lib@HIDDEN, it modifies the sources, causing a doc rebuild,
failing because texinfo is missing.

I have cherry-picked 25db3b2f8bb4a18e9405d2cd32aa899e0007f236 on the
1.2.0 branch to fix it.

There's another error though:

--8<---------------cut here---------------start------------->8---
). Please consider running po4a-updatepo to refresh it.
Your input po file ./guix-manual.de.po seems outdated (The amount of entries differ between files: 10012 is not 325
). Please consider running po4a-updatepo to refresh it.
mmap(PROT_NONE) failed
builder for `/gnu/store/86gnwxxw7lfkifaal6fhflmkn3fczyhf-guix-translated-texinfo.drv' failed due to signal 11 (Segmentation fault)
--8<---------------cut here---------------end--------------->8---

Thanks,

Mathieu




Information forwarded to bug-guix@HIDDEN:
bug#47428; Package guix. Full text available.

Message received at 47428 <at> debbugs.gnu.org:


Received: (at 47428) by debbugs.gnu.org; 2 Apr 2021 08:43:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 02 04:43:15 2021
Received: from localhost ([127.0.0.1]:59152 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lSFOd-00088N-0m
	for submit <at> debbugs.gnu.org; Fri, 02 Apr 2021 04:43:15 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51326)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1lSFOb-00088A-EC
 for 47428 <at> debbugs.gnu.org; Fri, 02 Apr 2021 04:43:14 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45113)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1lSFOV-0003e1-Vm; Fri, 02 Apr 2021 04:43:07 -0400
Received: from [2a01:e0a:19b:d9a0:1a7a:d05e:2600:6047] (port=51606 helo=meije)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <othacehe@HIDDEN>)
 id 1lSFOV-0007JW-Fg; Fri, 02 Apr 2021 04:43:07 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Subject: Re: bug#47428: Problems building the up-to-date "devel" manual for
 the website
References: <YF5h5v2CkGTl1Xr5@HIDDEN> <YGY5ahTUzrIOEIGC@HIDDEN>
 <87zgyhgmcc.fsf@HIDDEN>
Date: Fri, 02 Apr 2021 10:43:05 +0200
In-Reply-To: <87zgyhgmcc.fsf@HIDDEN> (Mathieu Othacehe's message of "Fri, 02
 Apr 2021 09:46:43 +0200")
Message-ID: <87v995gjqe.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47428
Cc: 47428 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


>   MAKEINFO guile-library.info
> /tmp/guix-build-guile-lib-0.2.7.drv-0/guile-lib-0.2.7/build-aux/missing: line 81: makeinfo: command not found

Looks like the devel manual generation is fixed. The guile-lib@HIDDEN
build failure above only happens when generating the stable manual.

In that case, doc/build.scm uses guile-lib/htmlprag-fixed instead of the
plain guile-lib like on master (since
25db3b2f8bb4a18e9405d2cd32aa899e0007f236).

This causes the build failure. However, we do not have this makeinfo
error on the master guile-lib. That's because the docs are not compiled
for a reason I don't understand.

When running manually "make all" from the build directory, I experience
the same error:

--8<---------------cut here---------------start------------->8---
  MAKEINFO guile-library.info
/tmp/guix-build-guile-lib-0.2.7.drv-0/guile-lib-0.2.7/build-aux/missing: line 81: makeinfo: command not found
--8<---------------cut here---------------end--------------->8---

that is solved by adding "texinfo" to the native-inputs. 

Mathieu




Information forwarded to bug-guix@HIDDEN:
bug#47428; Package guix. Full text available.

Message received at 47428 <at> debbugs.gnu.org:


Received: (at 47428) by debbugs.gnu.org; 2 Apr 2021 07:46:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 02 03:46:55 2021
Received: from localhost ([127.0.0.1]:59096 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lSEW7-0004aC-8M
	for submit <at> debbugs.gnu.org; Fri, 02 Apr 2021 03:46:55 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39824)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1lSEW6-0004Zo-Ay
 for 47428 <at> debbugs.gnu.org; Fri, 02 Apr 2021 03:46:54 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44455)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1lSEW0-0002Q9-Vr; Fri, 02 Apr 2021 03:46:48 -0400
Received: from [2a01:e0a:19b:d9a0:35c2:b1bf:b4c1:9d32] (port=44806 helo=meije)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <othacehe@HIDDEN>)
 id 1lSEVw-000749-Hc; Fri, 02 Apr 2021 03:46:45 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Subject: Re: bug#47428: Problems building the up-to-date "devel" manual for
 the website
References: <YF5h5v2CkGTl1Xr5@HIDDEN> <YGY5ahTUzrIOEIGC@HIDDEN>
Date: Fri, 02 Apr 2021 09:46:43 +0200
In-Reply-To: <YGY5ahTUzrIOEIGC@HIDDEN> (Leo Famulari's message of "Thu, 1
 Apr 2021 17:21:46 -0400")
Message-ID: <87zgyhgmcc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47428
Cc: 47428 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


Hello Leo,

> ERROR: In procedure %resolve-variable:
> Unbound variable: %strict-tokenizer?

This variable is provided by guile-lib@HIDDEN while this derivation uses
guile-lib@HIDDEN from guix-1.2.0-17.ec7fb66.

I have restarted mcron which now uses guix-1.2.0-18.6e7ba45 and
guile-lib@HIDDEN

However, guile-lib@HIDDEN fails to build:

--8<---------------cut here---------------start------------->8---
  MAKEINFO guile-library.info
/tmp/guix-build-guile-lib-0.2.7.drv-0/guile-lib-0.2.7/build-aux/missing: line 81: makeinfo: command not found
WARNING: 'makeinfo' is missing on your system.
         You should only need it if you modified a '.texi' file, or
         any other file indirectly affecting the aspect of the manual.
         You might want to install the Texinfo package:
         <https://www.gnu.org/software/texinfo/>
         The spurious makeinfo call might also be the consequence of
         using a buggy 'make' (AIX, DU, IRIX), in which case you might
         want to install GNU make:
         <https://www.gnu.org/software/make/>
make[1]: *** [Makefile:415: guile-library.info] Error 127
make[1]: Leaving directory '/tmp/guix-build-guile-lib-0.2.7.drv-0/guile-lib-0.2.7/doc'
make: *** [Makefile:479: all-recursive] Error 1
command "make" "-j" "16" "GUILE_AUTO_COMPILE=0" failed with status 2
builder for `/gnu/store/prx66i4jvs445g82gkc5sv7p7hhf27ba-guile-lib-0.2.7.drv' failed with exit code 1
@ build-failed /gnu/store/prx66i4jvs445g82gkc5sv7p7hhf27ba-guile-lib-0.2.7.drv - 1 builder for `/gnu/store/prx66i4jvs445g82gkc5sv7p7hhf27ba-guile-lib-0.2.7.drv' failed with exit code 1
derivation '/gnu/store/prx66i4jvs445g82gkc5sv7p7hhf27ba-guile-lib-0.2.7.drv' offloaded to '141.80.167.1
--8<---------------cut here---------------end--------------->8---

Mathieu




Information forwarded to bug-guix@HIDDEN:
bug#47428; Package guix. Full text available.

Message received at 47428 <at> debbugs.gnu.org:


Received: (at 47428) by debbugs.gnu.org; 1 Apr 2021 21:21:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 01 17:21:56 2021
Received: from localhost ([127.0.0.1]:58799 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lS4lI-00044D-AB
	for submit <at> debbugs.gnu.org; Thu, 01 Apr 2021 17:21:56 -0400
Received: from wout3-smtp.messagingengine.com ([64.147.123.19]:34559)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1lS4lG-000440-S5
 for 47428 <at> debbugs.gnu.org; Thu, 01 Apr 2021 17:21:55 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.west.internal (Postfix) with ESMTP id AF02916E9;
 Thu,  1 Apr 2021 17:21:48 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute3.internal (MEProxy); Thu, 01 Apr 2021 17:21:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:subject:message-id:mime-version:content-type; s=
 mesmtp; bh=ryF/YnY4VcKU4fDf+Yy2QFCuRZSe3Ly7Zz4RBvhks9I=; b=Uih7T
 3Qx+dG9bkKu6LEPL7hMosH7gNOBV3vyjeGBHhFmpjZHNXhEtjyGNbznNHScZ95TW
 2KllX7M8QJOFe6uoSXaTOM9zSduTEEnbbDZ+pvQNOiljSLZER4aOJ0Vp16beXu4b
 MrDSzhQvPsiid57NFMtPxlE04aRlRgLc5tNBIY=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-me-proxy:x-me-proxy:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm2; bh=ryF/YnY4VcKU4fDf+Yy2QFCuRZSe3
 Ly7Zz4RBvhks9I=; b=TK6S0kkc2++Tih3HH92MuDCy0NdRqLUwdA8/5tFhHgfIm
 GHhwss6EIwMM7xkdaGaYk+p8p+Oe/1fxOxee/3d4wEzjnmr6E0xFpJ3Kni6YbdtP
 ZAG3UCyDKuAA9aUqNzkLx5GK64ICJz/gho4pAXwDxXeKLdzijgYOSqy1R/NtsFZO
 tRr84fwkpPGgFhmqdwyPWEZYCfZKKFhbfCFg7+YHoNOaTIIsUDVv//lDi7KnkYrw
 N8XZnNn0UQ9JiEMrQ6iS8vl0k88Grus0cTv2hC4BxWiQFEa8dnDCZI6KR+0Kwz/n
 /QK4Ac1lCF50HwN7XPn1XYz/48SubaGA/S1A5JPjw==
X-ME-Sender: <xms:bDlmYEokEKMxs3YhhQ6oE0JUo6px1CRr_xHZQAlDMQNADY0Ao-Pf_w>
 <xme:bDlmYKoLqNZzAqVVes5mRoFEHXCltbvW1QNq4wALP3S0KtNEugzIAASaViz75XPhc
 bF028v06t0nBPiO9A>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudeigedgudehudcutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecunecujfgurhepfffhvffukfggtggusehttdertd
 dttddvnecuhfhrohhmpefnvghoucfhrghmuhhlrghrihcuoehlvghosehfrghmuhhlrghr
 ihdrnhgrmhgvqeenucggtffrrghtthgvrhhnpeffhedtfeeftddvueeifeduueejvdekhe
 ffueeijefgvdetleegheegfeehheduudenucfkphepieelrdduvddtrdelvddrvddtkeen
 ucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehlvghose
 hfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:bDlmYJMLIISbXpo32Y1eP8KftGDvLmWcsXMSqW13AJEnM8-4y-KuJw>
 <xmx:bDlmYL5rcnYUNtiQKJfaa9P_UjNWGE_-BfssfEhE4RJPB7NAeypy9g>
 <xmx:bDlmYD5Y8I58KKJxSO_Ldzo7fc0OZgSU_4BIRhNjtyu2CM0dKhsCQw>
 <xmx:bDlmYFEOoczc25wqZxMaLwoxgjzieUdDETqJvpu_xyXfuQUOXiSyOQ>
Received: from localhost (ool-45785cd0.dyn.optonline.net [69.120.92.208])
 by mail.messagingengine.com (Postfix) with ESMTPA id 1787B24005E
 for <47428 <at> debbugs.gnu.org>; Thu,  1 Apr 2021 17:21:48 -0400 (EDT)
Date: Thu, 1 Apr 2021 17:21:46 -0400
From: Leo Famulari <leo@HIDDEN>
To: 47428 <at> debbugs.gnu.org
Subject: Re:  Problems building the up-to-date "devel" manual for the website
Message-ID: <YGY5ahTUzrIOEIGC@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47428
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This problem is still there. It's breaking the building of the primary
manual, the devel manual, and the cookbook, both for HTML and PDF
outputs.

There are details in /var/log/mcron.log on the server.

Basically, guile-html-index-en builds are failing. For example,
/gnu/store/cydvkyxdkkg7k9n04miy238q8040c28q-guile-html-index-en.drv. The
build log contains this:

------
$ zcat /var/log/guix/drvs/cy/dvkyxdkkg7k9n04miy238q8040c28q-guile-html-index-en.drv.gz
Backtrace:
           4 (primitive-load "/gnu/store/g5xbrrd5llv5lpsgibqbwjymxjm?")
In ice-9/eval.scm:
    619:8  3 (_ #f)
   191:27  2 (_ #f)
   223:20  1 (proc #<directory (guile-user) 7fffefbabf00>)
In unknown file:
           0 (%resolve-variable (7 . %strict-tokenizer?) #<directory?>)

ERROR: In procedure %resolve-variable:
Unbound variable: %strict-tokenizer?
------




Information forwarded to bug-guix@HIDDEN:
bug#47428; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Mar 2021 22:36:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 26 18:36:31 2021
Received: from localhost ([127.0.0.1]:42791 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lPv4A-0000tl-Uj
	for submit <at> debbugs.gnu.org; Fri, 26 Mar 2021 18:36:31 -0400
Received: from lists.gnu.org ([209.51.188.17]:33962)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1lPv49-0000tc-8u
 for submit <at> debbugs.gnu.org; Fri, 26 Mar 2021 18:36:29 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:34984)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leo@HIDDEN>) id 1lPv49-0001eX-18
 for bug-guix@HIDDEN; Fri, 26 Mar 2021 18:36:29 -0400
Received: from wout2-smtp.messagingengine.com ([64.147.123.25]:46143)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leo@HIDDEN>) id 1lPv47-0002lw-9x
 for bug-guix@HIDDEN; Fri, 26 Mar 2021 18:36:28 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.west.internal (Postfix) with ESMTP id 968A6F69;
 Fri, 26 Mar 2021 18:36:24 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute3.internal (MEProxy); Fri, 26 Mar 2021 18:36:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:subject:message-id:mime-version:content-type; s=
 mesmtp; bh=4jSwbaJpsCOwQO+LaR3kvneLQxXjyWPIwmkDKqFrQEQ=; b=p12tB
 wLb46EMiKuzNdLDVZcI9km/5wTvbFtOQxrO6LrejiPw0E3ECQ4M2OuiE0amu0RRn
 GTdrnzdHPmKZkvwK2ImtSiNz2nT4ROCBRgovNsFAgf08djPlp130ftg//he7HAqy
 d46oBbeZSll4aPX66piRzyBDZe+UE4hjELbnKg=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-me-proxy:x-me-proxy:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm2; bh=4jSwbaJpsCOwQO+LaR3kvneLQxXjy
 WPIwmkDKqFrQEQ=; b=r88ymz6NVxEf8yXug2T48zp/zvygc4RHaH8ASLQ18/s5I
 wHSnoL+CV922UoQR9PktiEiny/F0fZK1UleNIhE8vY3ISlZgzYy0BQ2R3zfXk1UU
 1x0Kh4z3z/oHNxl65KUN1FClXU9SPSrM2h7hEu2VeLKhhUwtZHN+SHucluzmjzu5
 NAfL98rl+aoOC+M8nkO/rZhzI9Hefn4MpBKUuxqPQlb7vLmx1ep/yFrqA8ZfaX+j
 IIUlQ8lLAxftbWzz30RzmGYS93Fk18NnpHFnCFNKRCGae8Y9JkPiHYauUmk3KWY0
 ZSBrey/F5wNx8s6lDGdyRDr/cblZb3PILHhfPSEow==
X-ME-Sender: <xms:6GFeYD3PCM7cd4bojzngFU1Zx2uhHMvg2Eo2EfmrSKCzKWmmFL8Snw>
 <xme:6GFeYCEnI94q7GaqhOae8_LXzno1wWTZGAnRnmmc2sBe4MQ9PprNCDDtlJaekxNV7
 zo5KZOPlHKEUGoU-w>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudehfedgtdduucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpeffhffvuffkgggtugesthdtredttd
 dtvdenucfhrhhomhepnfgvohcuhfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgrrhhi
 rdhnrghmvgeqnecuggftrfgrthhtvghrnhepueeiudeijeduffdvhfejvdegvdehgffgje
 dvveekfeefleefkeeuieejudevtedunecuffhomhgrihhnpehgnhhurdhorhhgnecukfhp
 pedutddtrdduuddrudeiledruddukeenucevlhhushhtvghrufhiiigvpedtnecurfgrrh
 grmhepmhgrihhlfhhrohhmpehlvghosehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:6GFeYD6n69G7nbeCUjFPpahPmBHNNGbuIlaOJvRc2Daa8Quc9kx6Mg>
 <xmx:6GFeYI1Vo086VgauoY4aVwv3ABgFVSq1MLaIsIaIGM4DBh5DmkOSQQ>
 <xmx:6GFeYGHfpwccyFBIGscbz_hAP3mVUzHvAbZydzyY98asTaiVDqrcEg>
 <xmx:6GFeYKQE-2rbkYGWfIqHi-WWhV7LNu1l39ZYRIAjPZgXRwEqhwyOEg>
Received: from localhost (pool-100-11-169-118.phlapa.fios.verizon.net
 [100.11.169.118])
 by mail.messagingengine.com (Postfix) with ESMTPA id 0D90D240054
 for <bug-guix@HIDDEN>; Fri, 26 Mar 2021 18:36:24 -0400 (EDT)
Date: Fri, 26 Mar 2021 18:36:22 -0400
From: Leo Famulari <leo@HIDDEN>
To: bug-guix@HIDDEN
Subject: Problems building the up-to-date "devel" manual for the website
Message-ID: <YF5h5v2CkGTl1Xr5@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Received-SPF: pass client-ip=64.147.123.25; envelope-from=leo@HIDDEN;
 helo=wout2-smtp.messagingengine.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

I noticed that the "devel" version of the online manual, which is
supposed to stay up to date, has not been updated since March 16, 2021:

https://guix.gnu.org/manual/devel/en/

There were some problems related to the recent guile-lib update, which
broke the build scripts in 'doc/build.scm', but that should be fixed
now.

I tried building it with `guix build -f doc/build.scm`, and it crashed
with a segmentation fault while building guix-translated-texinfo.drv,
with this message:

"mmap(PROT_NONE) failed"

I tried again, with --max-jobs=1, and it succeeded. So, maybe we just
need to update and reconfigure ci.guix.gnu.org, and try again.

Here is what I am working with:

------
$ guix describe
Generation 10   Mar 26 2021 20:11:33    (current)
  guix e8337f1
    repository URL: https://git.savannah.gnu.org/git/guix.git
    commit: e8337f1e45b57035c6e5d45133aa9412d4e5e882
------

And, I'm building 'doc/build.scm' from that same commit.




Acknowledgement sent to Leo Famulari <leo@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#47428; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 21 Apr 2021 16:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.